### Interface

# Gtk StyleProvider

#### Description [src]

    interface Gtk.StyleProvider : GObject.Object

`GtkStyleProvider` is an interface for style information used by `GtkStyleContext`.

See gtk_style_context_add_provider() and gtk_style_context_add_provider_for_display() for adding `GtkStyleProviders`.

GTK uses the `GtkStyleProvider` implementation for CSS in `GtkCssProvider`.

#### Signals

###### Gtk.StyleProvider::gtk-private-changed

No description available.